
Foreman - Bug #8919

Allow specifying custom resource name for authorization purposes from within a plugin/model

01/13/2015 03:08 AM - Ivan Necas

Status: New   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

By default when determining the resource_type to be used for a model authorization, the name of the model class is used.

This behaviour is hard to change from within a plugin, as the logic is included in just one method

https://github.com/theforeman/foreman/blob/1.7.1/app/services/authorizer.rb#L115-L127.

My case is the foreman-tasks (http://projects.theforeman.org/issues/4450/) where there is an STI on the task model,

so the default name would be `dynflow_task`, while the desired name is just `task`.

History

#1 - 01/13/2015 03:34 AM - Dominic Cleal

- Category set to Users, Roles and Permissions

#2 - 09/29/2016 04:16 AM - Dominic Cleal

https://github.com/theforeman/foreman/pull/2060 was closed due to inactivity.

#3 - 05/17/2017 05:42 PM - Anonymous

- Status changed from Assigned to New

- Assignee deleted (Ivan Necas)

#4 - 07/23/2018 11:29 AM - Tomer Brisker

- Target version deleted (1.7.2)

#5 - 06/17/2021 12:29 PM - Leos Stejskal

- Triaged changed from No to Yes
